GAMBAS(1)

NAME
gambas3 - Integrated Development Environment

SYNOPSIS
gambas3 [options] [<project directory>]

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI with Qt or GTK+, access database systems like MySQL, PostgreSQL, SQlite or ODBC databases, pilot applications with DBus, translate your program into many languages, create GStreamer, OpenGL or SDL applications, and so on... A program written with Gambas is a set of files. Each file describes a class, in terms of object programming. The class files are compiled, then executed by an interpreter. From this point of view, it is very inspired by Java. Gambas is made up of the following programs:
    * A compiler.
    * An interpreter.
    * An archiver.
    * A graphical user interface component.
    * A development environment. The development environment is written with Gambas itself, following the "eat your own sh..." paradigm, and showing the abilities of the language. gambas3 starts the Integrated Development Environment.

OPTIONS

-V, --version
    display version

-L, --license
    display license

-h, --help
    display help and exit

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at http://gambaswiki.org/wiki.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <benoit.minisini@gambas-basic.org>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.